body {
    background-color: teal;
    display: flex;
    flex-wrap: wrap;
    margin: 0;
}

#nav-check {
    display: none;
}


@keyframes show-nav{
    0% {
        transform: translateX(-180px);
        background: white;
    }
    /*75%{ 
        transform: translateX(0);
    }
    84%{
        transform: translateX(-35px);
    }*/
    100% {
        transform: translateX(0);
        background: tomato;
    }
}
@keyframes hide-nav{
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-180px);
    }
}

#nav-check:checked ~ #main-nav {
    transform: translateX(0);
    /*animation-name: show-nav;
    animation-duration: 0.5s;
    animation-iteration-count: 1;*/
}
#nav-check:checked ~ #main {
    margin-left: 0;
    width: calc(100% - 180px);
}

#main-nav {
    background: white;
    min-width: 180px;
    height: 100vh;
    transform: translateX(-180px);
    transition: transform 0.3s linear;
    /*animation-name: hide-nav;
    animation-duration: 0.4s;*/
}

#main {
    margin-left: -180px;
    width: 100%;
    padding: 25px;
    box-sizing: border-box;
    transition: all 0.3s linear;
}

#open-modal-checkbox {
    display: none;
}

#modal {
    background-color: white;
    box-sizing: border-box;
    position: fixed;
    left: 0;
    top: 0;
    height: 100vh;
    display: none;
}


#open-modal-checkbox:checked ~ #modal,
#open-modal-checkbox:checked ~ .overlay {
    display: block;
}

.modal-header {
    height: 65px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.modal-header--title {
    margin: 0;
}
.modal-header--top-button {
    background: transparent;
    font-weight: 600;
    top: 10px;
    position: absolute;
    border: none;
    cursor: pointer;
}
.modal-header--cuadradit {
    right: 33px;
}
.modal-header--close {
    right: 10px;
}
.modal-content {
    padding: 25px;
}
.mobile-hidden {
    display: none;
}

.lorem {
    color: white;
}

.visibility-hidden {
    visibility: hidden;
}

@media (min-width: 415px) {
    #modal {
        background-color: tomato;
        width: 320px;
        height: 420px;
        top: 10vh;
        left: calc(50vw - 160px);
    }
    .modal-content {
        height: 265px;
        overflow-y: auto;
    }
    .mobile-hidden {
        display: initial;
    }
    .overlay {
        position: fixed;
        background-color: rgba(0, 0, 0, 0.5);
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        display: none;
    }
}


@media (min-width: 768px) {
    #modal {
        background-color: cornsilk;
    }
}
